## nmrpflash 0.9.14-16-ge95526d

=== debian/changelog ===
nmrpflash (0.9.14-16-ge95526d-4) unstable; urgency=medium

  * changelog: correct typo in Helmut's name

 -- Damyan Ivanov <dmn@debian.org>  Sun, 10 May 2020 10:19:58 +0000

nmrpflash (0.9.14-16-ge95526d-3) unstable; urgency=medium

  * add patch from Helmut Grohne helping cross-building (Closes: #960165)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 10 May 2020 07:43:27 +0000

nmrpflash (0.9.14-16-ge95526d-2) unstable; urgency=medium

  * use UTC date when passing date to pod2man, making the build reproducible.
    Thanks to Chris Lamb. (Closes: #958381)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 21 Apr 2020 14:38:57 +0000

nmrpflash (0.9.14-16-ge95526d-1) unstable; urgency=medium

  * Initial release (Closes: #956867 -- ITP)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 19 Apr 2020 06:34:46 +0000
