=== debian/control ===
Source: nmrpflash
Section: otherosfs
Priority: optional
Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends: debhelper-compat (= 12),
 libnl-3-dev,
 libnl-route-3-dev,
 libpcap0.8-dev,
 pkg-config
Standards-Version: 4.5.0
Homepage: https://github.com/jclehner/nmrpflash
Vcs-Browser: https://salsa.debian.org/debian/nmrpflash
Vcs-Git: https://salsa.debian.org/debian/nmrpflash.git
Rules-Requires-Root: no

Package: nmrpflash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: firmware flash utility for Netgear devices
 nmrpflash uses Netgear's NMRP protocol
 (http://www.chubb.wattle.id.au/PeterChubb/nmrp.html) to flash a new firmware
 image to a compatible device. It has been successfully used on a Netgear
 EX2700, DNG3700v2, R6220, R7000, D7000, WNR3500, R6400 and R6800, but is
 likely to be compatible with many other Netgear devices.
