=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DPKG_EXPORT_BUILDFAGS=true
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/vendor.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export STANDALONE_VERSION="$(DEB_VERSION) ($(DEB_VENDOR))"


%:
	dh $@

override_dh_auto_build:
	CFLAGS="$(CPPFLAGS) $(CFLAGS)" dh_auto_build

MANUALS=debian/nmrpflash.1

debian/nmrpflash.1: debian/nmrpflash.pod
	pod2man -c "nmrpflash documentation" \
	    --release "nmrpflash $(DEB_VERSION_UPSTREAM)" \
	    --date "$(shell date --utc --date=@$(SOURCE_DATE_EPOCH) +%Y-%m-%d)" \
	    $< > $@

override_dh_auto_install:: $(MANUALS)
	mkdir -p debian/$(DEB_SOURCE)/usr/bin
	$(MAKE) install PREFIX=debian/$(DEB_SOURCE)/usr
