=== debian/changelog ===
nmrpflash (0.9.26+ds.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Damyan Ivanov ]
  * convert debian/watch to version 5
  * exclude binary files from upstream sources
  * add debian/gbp.conf
  * New upstream version 0.9.26+ds.1 (Closes: #1121602)
  * disable pristine-tar
    will use the tag2upload and git-archive generated original source tarball
  * drop all patches (merged upstream)
  * Declare conformance with Policy 4.7.2 (no changes needed)
  * Build-depend on pkgconf instead of pkg-config
  * expand long description with more supported devices

 -- Damyan Ivanov <dmn@debian.org>  Mon, 01 Dec 2025 20:34:04 +0000
