=== debian/control ===
Source: nmrpflash
Section: otherosfs
Priority: optional
Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends: debhelper-compat (= 13),
 libnl-3-dev,
 libnl-route-3-dev,
 libpcap0.8-dev,
 pkgconf
Standards-Version: 4.7.2
Homepage: https://github.com/jclehner/nmrpflash
Vcs-Browser: https://salsa.debian.org/debian/nmrpflash
Vcs-Git: https://salsa.debian.org/debian/nmrpflash.git
Rules-Requires-Root: no

Package: nmrpflash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: firmware flash utility for Netgear devices
 nmrpflash uses Netgear's NMRP protocol
 (http://www.chubb.wattle.id.au/PeterChubb/nmrp.html) to flash a new firmware
 image to a compatible device. It has been successfully tested with various
 models (D7000, DNG3700v2, EX2700, EX6100v2, EX6120, EX6150v2, EX8000, R6020,
 R6080, R6100, R6220, R6400, R7000, R7000P, R6800, R8000, R8000P, R8500,
 RAX40, RAX75, RBR40, RBS40, RBR50, RBR50v2, RBS50, SRR60, SRS60, WAX202,
 WNDR3800, WNDR4300, WNDR4500v3, WNDR4700, WNR3500), but is likely to be
 compatible with most other Netgear devices as well.
