=== debian/watch ===
Version: 5

Source: https://github.com/jclehner/nmrpflash/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nmrpflash-$1.tar.gz%
Dversionmangle: s/\+ds\.\d+$//
Repacksuffix: +ds.1
